#include <iostream>
using namespace std;
int a[50000];
int main(){
    int n,br=0;
    cin >> n;
    for(int i=0; i<n; i++)
    {
        cin >> a[i];
    }
    for(int o=0; o<n; o++)
    {
        if(br==0)
        {
            cout << "0";
        }
        if(o>=n-1)
        {
            break;
        }
        for(int i=0; i<a[o]; i++)
        {
            for(int j=0; i<a[o]; i++)
            {
                if(a[o]==i*i+j*j)
                {
                    cout << "1";
                    br++;
                }
            }
            br=0;
        }
    }
    cout << endl;
    return 0;
}
